Name:           wss4j 
Version:        1.6.7
Release:        1%{?dist}
Summary:        Apache WS-Security implementation

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://ws.apache.org/wss4j/
Source0:        http://archive.apache.org/dist/ws/wss4j/1_6_7/wss4j-src-%{version}.zip

BuildRequires:  java-devel   
BuildRequires:  axis
BuildRequires:  xml-security >= 0:1.5
BuildRequires:  xml-commons-apis
BuildRequires:  maven
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-remote-resources-plugin
BuildRequires:  apache-resource-bundles
BuildRequires:  dos2unix
BuildRequires:  opensaml-java
BuildRequires:  xalan-j2
BuildRequires:  xerces-j2
BuildRequires:  junit
BuildRequires:  slf4j
BuildRequires:  apache-commons-logging
BuildRequires:  opensaml-java-parent
BuildRequires:  maven-surefire-provider-junit4

%if 0%{?fedora} > 17
BuildRequires:  plexus-pom
BuildRequires:  plexus-components-pom
%endif

Requires:       java
Requires:       jpackage-utils
Requires:       axis
Requires:       xml-security >= 0:1.5
Requires:       xml-commons-apis
Requires:       opensaml-java
Requires:       xalan-j2
Requires:       xerces-j2
Requires:       apache-commons-logging

BuildArch:      noarch

%description
The Apache WSS4J project provides a Java implementation of the
primary security standards for Web Services. 

%package javadoc
Summary: Javadoc for %{name}
Group:   Documentation
Requires: jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

sed -i "s|bcprov-jdk15|bcprov-jdk16|" pom.xml

# This plugin does not impact the build, and it currently raises this error:
# Reporting mojo's can only be called from ReportDocumentRender
%pom_remove_plugin "org.apache.maven.plugins:maven-pmd-plugin"

dos2unix NOTICE

%build
mvn-rpmbuild package javadoc:javadoc

%install
# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -m 0644 target/%{name}-%{version}.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# pom
install -d -m 0755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -m 0644 pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap

%files
%doc ChangeLog.txt NOTICE LICENSE.txt
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc LICENSE.txt
%doc %{_javadocdir}/%{name}

%changelog
* Thu Oct 18 2012 Marek Goldmann <mgoldman@redhat.com> - 1.6.7-1
- Upstream release 1.6.7
- Changed build tool to Maven
- Cleanups

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 20 2012 Andy Grimm <agrimm@gmail.com> - 1.5.12-2
- Package review fixes

* Sun Feb  5 2012 Andy Grimm <agrimm@gmail.com> - 1.5.12-1
- initial build

